Skip to content
Start here

Delete Fallback Origin for Custom Hostnames

custom_hostnames.fallback_origin.delete(FallbackOriginDeleteParams**kwargs) -> FallbackOriginDeleteResponse
DELETE/zones/{zone_id}/custom_hostnames/fallback_origin

Removes the fallback origin configuration for custom hostnames on a zone. Custom hostnames without specific origins will no longer have a fallback.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class FallbackOriginDeleteResponse:
created_at: Optional[datetime]

This is the time the fallback origin was created.

formatdate-time
errors: Optional[List[str]]

These are errors that were encountered while trying to activate a fallback origin.

origin: Optional[str]

Your origin hostname that requests to your custom hostnames will be sent to.

maxLength255
status: Optional[Literal["initializing", "pending_deployment", "pending_deletion", 3 more]]

Status of the fallback origin's activation.

One of the following:
"initializing"
"pending_deployment"
"pending_deletion"
"active"
"deployment_timed_out"
"deletion_timed_out"
updated_at: Optional[datetime]

This is the time the fallback origin was updated.

formatdate-time

Delete Fallback Origin for Custom Hostnames

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
fallback_origin = client.custom_hostnames.fallback_origin.delete(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(fallback_origin.created_at)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2019-10-28T18:11:23.37411Z",
    "errors": [
      "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
    ],
    "origin": "fallback.example.com",
    "status": "pending_deployment",
    "updated_at": "2020-03-16T18:11:23.531995Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2019-10-28T18:11:23.37411Z",
    "errors": [
      "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
    ],
    "origin": "fallback.example.com",
    "status": "pending_deployment",
    "updated_at": "2020-03-16T18:11:23.531995Z"
  }
}